import request from '/@/utils/request';
/**
 * @summary 获取缓存键列表
 */
export const GetCacheKeysList = async (req: any = request) => {
	return req({
		url: '/Core/Memory/Cache/GetKeys@V1.0',
		method: 'GET',
	});
};

/**
 * @summary 移除缓存
 */
export const RemoveCacheKey = async (params, req: any = request) => {
	return req({
		url: '/Core/Memory/Cache/RemoveKey@V1.0',
		method: 'GET',
		params: params,
	});
};

/**
 * @summary 移除所选缓存
 */
export const RemoveSelectCacheKeys = async (params, req: any = request) => {
	return req({
		url: '/Core/Memory/Cache/RemoveKeys@V1.0',
		method: 'GET',
		params: params,
	});
};
